Bug 1471729 - arduino fails to compile
Summary: arduino fails to compile
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: arduino
Version: 26
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Gianluca Sforna
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-07-17 10:54 UTC by Turgut Kalfaoglu
Modified: 2020-12-19 22:59 UTC (History)
8 users (show)

Fixed In Version: arduino-1.6.6-3.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-07-31 16:21:44 UTC
Type: Bug


Attachments (Terms of Use)

Description Turgut Kalfaoglu 2017-07-17 10:54:19 UTC
Description of problem:

Arduino IDE will not compile

Version-Release number of selected component (if applicable):
Arduino 1.6.6


How reproducible:

Every time

Steps to Reproduce:

1. Launch ide
2. Write code
3. Sketch -> verify/compile

Actual results:

Parameter 'tools' is mandatory
Usage of /usr/share/arduino/arduino-builder:
  -build-options-file string
    	Instead of specifying --hardware, --tools etc every time, you can load all such options from a file
  -build-path string
    	build path
  -built-in-libraries value

Expected results:

Tadaa!

Additional info:

Comment 1 Fedora Update System 2017-07-21 22:09:30 UTC
arduino-builder-1.0.5-6.fc26 arduino-1.6.6-3.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-394c0f1880

Comment 2 Fedora Update System 2017-07-23 06:57:31 UTC
arduino-1.6.6-2.fc25, arduino-builder-1.0.5-6.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-c33ec5464a

Comment 3 Fedora Update System 2017-07-23 09:59:40 UTC
arduino-1.6.6-3.fc26, arduino-builder-1.0.5-6.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-394c0f1880

Comment 4 Fedora Update System 2017-07-31 16:21:44 UTC
arduino-1.6.6-3.fc26, arduino-builder-1.0.5-6.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 5 seb 2018-02-06 18:27:40 UTC
arduino-1\:1.8.4-1.fc27 on Fedora 27, still have this bug

Comment 6 Gianluca Sforna 2018-02-08 09:09:59 UTC
(In reply to seb from comment #5)
> arduino-1\:1.8.4-1.fc27 on Fedora 27, still have this bug

It's fixes in 1.8.5-1. Please give it a try.

Comment 7 Levy Sant'Anna 2020-07-06 02:07:02 UTC
Looks to me that the same error returns on version arduino-1.8.13-2.fc32.noarch

Comment 8 Levy Sant'Anna 2020-07-06 02:07:28 UTC
/usr/bin/arduino-builder -dump-prefs -logger=machine -hardware /usr/share/arduino/hardware -libraries /home/ls/Arduino/libraries -fqbn=arduino:avr:uno -ide-version=10813 -build-path /tmp/arduino_build_878951 -warnings=all -build-cache /tmp/arduino_cache_661410 -prefs=build.warn_data_percentage=75 -verbose /usr/share/arduino/examples/01.Basics/Blink/Blink.ino
Parameter 'tools' is mandatory

Comment 9 Felix Zihlmann 2020-12-19 22:59:09 UTC
the patch:
--- a/arduino.spec      2020-12-19 22:03:29.565717294 +0100
+++ b/arduino.spec      2020-12-19 23:48:44.197420515 +0100
@@ -306,6 +309,8 @@
 
 popd
 
+mkdir -p %{buildroot}%{_datadir}/%{name}/tools-builder
+
 
 %check
 desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop
@@ -329,6 +334,7 @@
 %config(noreplace) %{_sysconfdir}/%{name}/*
 %dir %{_datadir}/%{name}
 %{_datadir}/%{name}/lib/
+%{_datadir}/%{name}/tools-builder/
 
 %files doc
 %{_datadir}/%{name}/examples/

fixes it


Note You need to log in before you can comment on or make changes to this bug.